#!/bin/bash

if [ $# -eq 1 ]
then
        case "$1" in
        1)
                hdparm -i /dev/sda | grep SerialNo | awk -F "=" '{print $4}';;
        2)
		hdparm -i /dev/sdb | grep SerialNo | awk -F "=" '{print $4}';;
	3)
		hdparm -i /dev/sdc | grep SerialNo | awk -F "=" '{print $4}';;
	4)
		hdparm -i /dev/sdd | grep SerialNo | awk -F "=" '{print $4}';;
	5)
		hdparm -i /dev/sde | grep SerialNo | awk -F "=" '{print $4}';;
        *) echo "option error";;
        esac
        shift
else
        echo "paramters number error!!!"
        echo "Usage $0 param(1:sda 2:sdb 3:sdc 4:sdd 5:sde)"
fi
